### Function

# Vips ThreadpoolProgressFn

#### Declaration

    int
    (* VipsThreadpoolProgressFn) (
      void* a
    )

#### Description [src]

This function is called by the main thread once for every work unit processed. It can be used to give the user progress feedback.

See also

`vips_threadpool_run()`.

#### Parameters

`a`

  Type: `void*`

  Client data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `int`

0 on success, or -1 on error.